. config.sh

cd $src_root
for n in `find | grep Makefile.dep | grep -v "\.svn/"`
do
	awk -v "fn=$n" '
		/^#/ {next}
		/^[ 	]*$/ {next}
		{			
			if (match(":$", $1) != 0) {
				print "Probably bogus line in " fn ":" NR ":" $0
			}
			for(n=1; n<=NF; n++) {
				if (substr($n, 1, 1) == "/") 
					print "Absolute path in " fn ":" NR ": " $n
			}
		}
	' < $n
done
