/*
 * Replace:
 *  Empty -> Module
 *  EMPTY -> MODULE
 */

#ifndef SCRIPT_MODULE_EMPTY_H
#define SCRIPT_MODULE_EMPTY_H

#include "packages/gpmi_scripts.h"

typedef struct Empty_ClientData {
} Empty_ClientData;

int  Empty_Initialize(void **client_data);
void Empty_Destroy(void **client_data);
void Empty_RegisterCommand(void *client_data, const char *name);
int  Empty_LoadScript(void *client_data, const char *filename);
char *Empty_GetExtension();
int  Empty_Rehash(void *client_data);
void Empty_RunFunction(void *client_data, const char *function, int argc, const char **argv);

#endif /* SCRIPT_MODULE_EMPTY_H */
