#ifndef SCRIPT_MODULE_PHP_H
#define SCRIPT_MODULE_PHP_H

#include "packages/gpmi_scripts.h"

typedef struct PHP_ClientData {
	void *functions;
	int func_count;
} PHP_ClientData;

int  PHP_Initialize(void **client_data);
void PHP_Destroy(void **client_data);
void PHP_RegisterCommand(void *client_data, const char *name);
int  PHP_LoadScript(void *client_data, const char *filename);
char *PHP_GetExtension();
void PHP_CallFunction(void *client_data, const char *function, int argc, const char **argv);

void PHP_Uninitialize( void );

#endif /* SCRIPT_MODULE_PHP_H */
